Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixedInMetaClass

- org.codehaus.groovy.runtime.metaclass.MixedInMetaClass

- Authors:
    Alex Tkachman

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DelegatingMetaClass` | `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixedInMetaClass (Object instance, Object owner)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `getOwner()`
    `` | `protected MetaClass` | `getOwnerMetaClass(Object owner)`
    `` | `Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class OwnedMetaClass` | `equals, getAttribute, getAttribute, getClassNode, getMetaMethod, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getOwner, getOwnerMetaClass, getProperties, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAttribute, setAttribute, setProperty, setProperty, toString`
    `class DelegatingMetaClass` | `addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MixedInMetaClass(Object instance, Object owner)

  - ### Method Detail

    - #### protected Object getOwner()

    - #### protected MetaClass getOwnerMetaClass(Object owner)

    - #### public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)